/*
**	libisa.a
**	fgets822.c copyright (c) 1998/ 3/ 3(Tue) 00:28:48 by isako.
**	$Id: fgets822.c,v 1.2 1998-11-22 20:30:04+0900 isaki Exp isaki $
*/

/*
	modified by Rick on Feb 20 2000
	fgets822b.c

	* apply to binary mode

	* when connect line, delete LF code
	* slight optimization inside loop
*/

#include<stdio.h>
#include<string.h>
/* #include<isa/isalib.h> */


char *fgets822b(char *buf, int bufsize, FILE *fp)
{
	int	len = 0;

	if (!fgets(buf, bufsize, fp))	return NULL;

	/* check if MIME header end */
	if (*buf == '\r' || *buf == '\n')	return NULL;

	while (1){
		int	c;

		/* get end of buffer */
		len += strlen (buf + len);

		/* check if the buffer is filled */
		if (buf[len - 1] != '\r' && buf[len - 1] != '\n')	break;

		/* if next line starts in TAB or SPACE, connect */
		c = getc (fp);
		if (c =='\t' || c == ' ') {
			if (fgets (buf + len, bufsize - len, fp)) {
				buf[len - 1] = ' ';
			} else {
				break;
			}
		} else {
			ungetc (c, fp);
			break;
		}
	}

	return buf;
}
