#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#define GLOBAL_DEFINE		/* O[oϐmۂ */
#include "porter.h"


void Usage (void)
{
	printf ("C^[lbg[M porter.x ver0.10\n"
		"		programmed by Rick <FreeSoftware>\n"
		"		based on postmail.x ver0.01 by Mitsuky\n"
		"L[fBNg̃t@C SMTP ɏ]đM܂\n"
		"gp@ : porter [option]\n"
		"[option]\n"
		"-v : ׂ胂[h\n"
		"WARNING:ϐ MAILQUEUE  L[fBNgw\n"
		"		smail p̐ݒt@CKvł\n"
		);
}



/* ׂ胂[hp printf() iv stdarg.hj */
int VerbosePrintf (const char *format,...)
{
	if (Verbose) {
		va_list ap;
		va_start (ap, format);
		vprintf (format, ap);
		va_end (ap);
	}
	return (0);
}



int main (int argc, char **argv)
{
	struct _porter *q;

	Verbose = FALSE;

	while (--argc > 0) {
		argv++;
		if ('-' == **argv) {
			switch (*(*argv + 1) & 0xdf) {
			case 'V':
				Verbose = TRUE;
				continue;
			}
		}
		Usage ();
		return (-1);
	}

	q = malloc (sizeof(struct _porter));
	if (!q) {
		fputs ("܂\n", stdout);
		return (-2);
	}

	getenvdir (q->qdir, "MAILQUEUE");
	if (!q->qdir[0]) {
		fputs ("ϐ MAILQUEUE ݒ肳Ă܂", stdout);
		free (q);
		return (-3);
	}

	getenvdir (q->home, "HOME");
	q->errct = 0;

	SendMail (q);

	return (0);
}
